update-notifier-common pulls in ubuntu-drivers-common including on server where it is not required

Bug #1912496 reported by Robie Basak
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Fix Released
Undecided
Iain Lane
Focal
Fix Released
Undecided
Iain Lane

Bug Description

[ Description ]

update-notifier 3.192.37 (https://git.launchpad.net/ubuntu/+source/update-notifier/commit/?id=f766bda4ab5032a5af84311fabd2e6d9e56b3254) added a dependency on ubuntu-drivers-common, which causes ubuntu-server to bloat, for example by pulling in alsa-utils.

[ Fix ]

Move the dependency to update-notifier, which contains /usr/bin/update-notifier and also the dependency on update-manager, which is launched after we run the script which uses ubuntu-drivers-common.

[ QA ]

1. Make sure ubuntu-drivers-common isn't on the referenced server image.
2. Make sure it is still on images where update-notifier is installed.

[ Where problems could occur ]

If we lose the dependency, then update-manager will not be able to auto launch, since we require it to be available to run a script before auto launching.

[ Original description ]

I don't know if there's an easy solution to this, or if we just need to live with it. If the latter, this bug can be Won't Fix'd.

Revision history for this message
Robie Basak (racb) wrote :

Instead of a hard dependency from update-notifier-common -> ubuntu-drivers-common, how about seeding ubuntu-drivers-common directly in desktop, and making list-oem-metapackages no-op if not installed?

Revision history for this message
Robie Basak (racb) wrote :

If we consider this bug valid, it is actually a regression in the already-landed SRU of update-notifier-common driven by bug 1908050.

tags: added: regression-update
Iain Lane (laney)
Changed in update-notifier (Ubuntu):
status: New → In Progress
Changed in update-notifier (Ubuntu Focal):
status: New → In Progress
Changed in update-notifier (Ubuntu):
assignee: nobody → Iain Lane (laney)
Changed in update-notifier (Ubuntu Focal):
assignee: nobody → Iain Lane (laney)
Revision history for this message
Iain Lane (laney) wrote :

Uploaded.

description: updated
Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Robie, or anyone else affected,

Accepted update-notifier into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.192.30.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-notifier (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.38

---------------
update-notifier (3.192.38) hirsute; urgency=medium

  * control: Move ubuntu-drivers-common dep to update-notifier. It's only
    needed when launching update-manager, which happens from
    /usr/bin/update-notifier which is in the update-notifier package. Having
    it in update-notifier-common causes ubuntu-drivers-common and all its deps
    to be pulled in on all flavours, even ones without update-manager. (LP:
    #1912496)

 -- Iain Lane <email address hidden> Wed, 20 Jan 2021 16:42:37 +0000

Changed in update-notifier (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Iain Lane (laney) wrote :

Verified:

Bad:

http://cdimage.ubuntu.com/ubuntu-server/focal/daily-live/20210127/focal-live-server-amd64.manifest

contains ubuntu-drivers-common and alsa-utils

Good - an image built with proposed enabled:

http://cdimage.ubuntu.com/ubuntu-server/focal/daily-live/20210126.1/focal-live-server-amd64.manifest

neither of the above.

And for Ubuntu, here's a diff of the manifests (the libxmlb SRU which is currently in proposed was picked up, that's expected):

laney@ancientminister:/srv/cdimage.ubuntu.com/www/full/focal/daily-live$ diff -u 20210127{,.1}/focal-desktop-amd64.manifest
--- 20210127/focal-desktop-amd64.manifest 2021-01-27 07:49:09.000000000 +0000
+++ 20210127.1/focal-desktop-amd64.manifest 2021-01-27 13:39:09.000000000 +0000
@@ -1322,7 +1322,7 @@
 libxml-twig-perl 1:3.50-2
 libxml-xpathengine-perl 0.14-1
 libxml2:amd64 2.9.10+dfsg-5
-libxmlb1:amd64 0.1.15-2
+libxmlb1:amd64 0.1.15-2ubuntu1~20.04.1
 libxmlsec1:amd64 1.2.28-2
 libxmlsec1-nss:amd64 1.2.28-2
 libxmu6:amd64 2:1.1.3-0ubuntu1

I think we can call this v-done.

Revision history for this message
Iain Lane (laney) wrote :
Download full text (4.9 KiB)

Actually here's a diff of the server-live manifests too:

laney@ancientminister:/srv/cdimage.ubuntu.com/www/full/ubuntu-server/focal/daily-live$ diff -u 20210126{,.1}/focal-live-server-amd64.manifest
--- 20210126/focal-live-server-amd64.manifest 2021-01-26 10:20:25.000000000 +0000
+++ 20210126.1/focal-live-server-amd64.manifest 2021-01-26 16:13:10.000000000 +0000
@@ -2,7 +2,6 @@
 adduser 3.118ubuntu2
 alsa-topology-conf 1.2.2-1
 alsa-ucm-conf 1.2.2-1ubuntu0.5
-alsa-utils 1.2.2-1ubuntu2
 apparmor 2.13.3-7ubuntu5.1
 apport 2.20.11-0ubuntu27.14
 apport-symptoms 0.23
@@ -51,7 +50,7 @@
 debconf-i18n 1.5.73
 debianutils 4.9.1
 diffutils 1:3.7-3
-dirmngr 2.2.19-3ubuntu2
+dirmngr 2.2.19-3ubuntu2.1
 distro-info-data 0.43ubuntu1.4
 dmeventd 2:1.02.167-1ubuntu1
 dmidecode 3.2-3
@@ -84,16 +83,16 @@
 glib-networking:amd64 2.64.2-1ubuntu0.1
 glib-networking-common 2.64.2-1ubuntu0.1
 glib-networking-services 2.64.2-1ubuntu0.1
-gnupg 2.2.19-3ubuntu2
-gnupg-l10n 2.2.19-3ubuntu2
-gnupg-utils 2.2.19-3ubuntu2
-gpg 2.2.19-3ubuntu2
-gpg-agent 2.2.19-3ubuntu2
-gpg-wks-client 2.2.19-3ubuntu2
-gpg-wks-server 2.2.19-3ubuntu2
-gpgconf 2.2.19-3ubuntu2
-gpgsm 2.2.19-3ubuntu2
-gpgv 2.2.19-3ubuntu2
+gnupg 2.2.19-3ubuntu2.1
+gnupg-l10n 2.2.19-3ubuntu2.1
+gnupg-utils 2.2.19-3ubuntu2.1
+gpg 2.2.19-3ubuntu2.1
+gpg-agent 2.2.19-3ubuntu2.1
+gpg-wks-client 2.2.19-3ubuntu2.1
+gpg-wks-server 2.2.19-3ubuntu2.1
+gpgconf 2.2.19-3ubuntu2.1
+gpgsm 2.2.19-3ubuntu2.1
+gpgv 2.2.19-3ubuntu2.1
 grep 3.4-1
 groff-base 1.22.4-4build1
 gsettings-desktop-schemas 3.36.0-1ubuntu1
@@ -138,7 +137,6 @@
 libasound2-data 1.2.2-2.1ubuntu2.3
 libassuan0:amd64 2.5.3-7ubuntu2
 libatm1:amd64 1:2.5.1-4
-libatopology2:amd64 1.2.2-2.1ubuntu2.3
 libattr1:amd64 1:2.4.48-5
 libaudit-common 1:2.8.5-2ubuntu6
 libaudit1:amd64 1:2.8.5-2ubuntu6
@@ -146,8 +144,8 @@
 libbrotli1:amd64 1.0.7-6ubuntu0.1
 libbsd0:amd64 0.10.0-1
 libbz2-1.0:amd64 1.0.8-2
-libc-bin 2.31-0ubuntu9.1
-libc6:amd64 2.31-0ubuntu9.1
+libc-bin 2.31-0ubuntu9.2
+libc6:amd64 2.31-0ubuntu9.2
 libcanberra0:amd64 0.30-7ubuntu1
 libcap-ng0:amd64 0.7.9-2.1build1
 libcap2:amd64 1:2.32-1
@@ -180,7 +178,6 @@
 libfastjson4:amd64 0.99.8-2
 libfdisk1:amd64 2.34-0.1ubuntu9.1
 libffi7:amd64 3.3-4
-libfftw3-single3:amd64 3.3.8-2ubuntu1
 libfido2-1:amd64 1.3.1-1ubuntu2
 libfl2:amd64 2.6.4-6.2
 libfribidi0:amd64 1.0.8-2
@@ -193,12 +190,11 @@
 libgdbm-compat4:amd64 1.18.1-5
 libgdbm6:amd64 1.18.1-5
 libgirepository-1.0-1:amd64 1.64.1-1~ubuntu20.04.1
-libglib2.0-0:amd64 2.64.3-1~ubuntu20.04.1
-libglib2.0-bin 2.64.3-1~ubuntu20.04.1
-libglib2.0-data 2.64.3-1~ubuntu20.04.1
+libglib2.0-0:amd64 2.64.6-1~ubuntu20.04.1
+libglib2.0-bin 2.64.6-1~ubuntu20.04.1
+libglib2.0-data 2.64.6-1~ubuntu20.04.1
 libgmp10:amd64 2:6.2.0+dfsg-4
 libgnutls30:amd64 3.6.13-2ubuntu1.3
-libgomp1:amd64 10.2.0-5ubuntu1~20.04
 libgpg-error0:amd64 1.37-1
 libgpgme11:amd64 1.13.1-7ubuntu2
 libgpm2:amd64 1.20.7-5
@@ -291,7 +287,6 @@
 libreadline8:amd64 8.0-4
 libroken18-heimdal:amd64 7.7.0+dfsg-1ubuntu1
 librtmp1:amd64 2.4+20151223.gitfa8646d.1-2build1
-libsamplerate0:amd64 0.1.9-2
 libsasl2-2:amd64 2.1.27+dfsg-2
 libsasl2-modules:amd64 2.1.27+dfsg-2
 libsasl2-modules-db:amd64 2.1.27+dfsg-2
@@ -349,13 +344...

Read more...

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.30.5

---------------
update-notifier (3.192.30.5) focal; urgency=medium

  * control: Move ubuntu-drivers-common dep to update-notifier. It's only
    needed when launching update-manager, which happens from
    /usr/bin/update-notifier which is in the update-notifier package. Having
    it in update-notifier-common causes ubuntu-drivers-common and all its deps
    to be pulled in on all flavours, even ones without update-manager. (LP:
    #1912496)

 -- Iain Lane <email address hidden> Wed, 20 Jan 2021 16:46:43 +0000

Changed in update-notifier (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for update-notifier has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers